<!-- Page Content -->
<div class="container">

  <div class="row">

    <!-- Blog Entries Column -->
    <div class="col-md-8">

      <h1 class="my-4">Posts
        <!--<small>Secondary Text</small>-->
      </h1>

      <!-- Blog Post -->
      <div class="card mb-4" *ngFor="let post of postService.posts; let i = index">

        <div id="{{i}}" class="carousel slide" data-ride="carousel">
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" [src]=images[i*3] alt="First slide">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" [src]=images[(i*3)+1] alt="Second slide">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" [src]=images[(i*3)+2] alt="Third slide">
            </div>
          </div>
          <a class="carousel-control-prev" href="#{{i}}" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#{{i}}" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>

        <div class="card-body">
          <h2 class="card-title">{{post.title}}</h2>
          <h5 class="card-subtitle">{{post.subtitle}}</h5>
          <p class="card-text">{{post.body}}</p>
        </div>
        <div class="card-footer text-muted">
          Posted by {{getUser(post.userId)}}
        </div>
        <div class="card-footer text-muted" data-toggle="modal" data-target="#postComments">
          <span class="comments" (click)="setCommentsByPostId(post.id)">Comments ({{getComments(post.id).length}})</span>
        </div>
        <div *ngIf="post.category" class="card-footer text-muted">
          Category: {{post.category.name}}
        </div>
        <div *ngIf="post.date" class="card-footer text-muted">
          {{post.date | date:'dd/MM/yyyy hh:mm:ss a'}}
        </div>
      </div>

    </div>

    <!-- Sidebar Widgets Column -->
    <div class="col-md-4">

      <!-- Search Widget -->
      <div class="card my-4">
        <h5 class="card-header">Search</h5>
        <div class="card-body">
          <div class="input-group">
            <input type="text" class="form-control" placeholder="Search for...">
            <span class="input-group-btn">
              <button class="btn btn-secondary" type="button">Go!</button>
            </span>
          </div>
        </div>
      </div>

      <!-- Categories Widget -->
      <div class="card my-4">
        <h5 class="card-header">Categories</h5>
        <div class="card-body">
          <div class="row">
            <div class="col-lg-6">
              <ul class="list-unstyled mb-0">
                <li>
                  <a href="#">Web Design</a>
                </li>
                <li>
                  <a href="#">HTML</a>
                </li>
                <li>
                  <a href="#">Freebies</a>
                </li>
              </ul>
            </div>
            <div class="col-lg-6">
              <ul class="list-unstyled mb-0">
                <li>
                  <a href="#">JavaScript</a>
                </li>
                <li>
                  <a href="#">CSS</a>
                </li>
                <li>
                  <a href="#">Tutorials</a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>

      <!-- Side Widget -->
      <div class="card my-4">
        <h5 class="card-header">Side Widget</h5>
        <div class="card-body">
          You can put anything you want inside of these side widgets. They are easy to use, and feature the new Bootstrap 4 card containers!
        </div>
      </div>

    </div>

  </div>
  <!-- /.row -->

  <!-- modal de cancelamento da operação -->
  <div class="modal fade" id="postComments" tabindex="-1" role="dialog" aria-labelledby="commentTitle" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="commentTitle">Comments</h4>
        </div>
        <div *ngIf="commentsByPostId.length > 0" class="modal-body commentbody">
          <div *ngFor="let comment of commentsByPostId">
            <div class="name-email">{{comment.name}} ({{comment.email}})</div>
            <br> {{comment.body}}
            <hr>
          </div>
        </div>
        <div *ngIf="commentsByPostId.length == 0">
          <div class="modal-body">
            No comments
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-dismiss="modal">Ok</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Fim do modal de cancelamento da operação -->

</div>
<!-- /.container -->